--- LinuxBIOSv2-2401.orig/src/mainboard/emulation/qemu-i386/Config.lb	2005-12-03 23:48:17.000000000 +0000
+++ LinuxBIOSv2-2401/src/mainboard/emulation/qemu-i386/Config.lb	2006-09-12 17:14:25.000000000 +0000
@@ -3,15 +3,8 @@
 ## (linuxBIOS plus bootloader) will live in the boot rom chip.
 ##
 default ROM_SIZE = 256 * 1024 
-default FALLBACK_SIZE = 128*1024
-
-if USE_FALLBACK_IMAGE
-	default ROM_SECTION_SIZE   = 128 * 1024 # FALLBACK_SIZE
-	default ROM_SECTION_OFFSET = ( ROM_SIZE - FALLBACK_SIZE )
-else
-	default ROM_SECTION_SIZE   = ( ROM_SIZE - FALLBACK_SIZE )
-	default ROM_SECTION_OFFSET = 0
-end
+default ROM_SECTION_SIZE   = ROM_SIZE
+default ROM_SECTION_OFFSET = 0
 
 ##
 ## Compute the start location and size size of
@@ -82,13 +75,8 @@
 ##
 ## Build our reset vector (This is where linuxBIOS is entered)
 ##
-if USE_FALLBACK_IMAGE 
-	mainboardinit cpu/x86/16bit/reset16.inc 
-	ldscript /cpu/x86/16bit/reset16.lds 
-else
-	mainboardinit cpu/x86/32bit/reset32.inc 
-	ldscript /cpu/x86/32bit/reset32.lds 
-end
+mainboardinit cpu/x86/16bit/reset16.inc 
+ldscript /cpu/x86/16bit/reset16.lds 
 
 ### Should this be in the northbridge code?
 mainboardinit arch/i386/lib/cpu_reset.inc
@@ -100,16 +88,6 @@
 ldscript /arch/i386/lib/id.lds
 
 ###
-### This is the early phase of linuxBIOS startup 
-### Things are delicate and we test to see if we should
-### failover to another image.
-###
-if USE_FALLBACK_IMAGE
-	ldscript /arch/i386/lib/failover.lds 
-	mainboardinit ./failover.inc
-end
-
-###
 ### O.k. We aren't just an intermediary anymore!
 ###
 
--- LinuxBIOSv2-2401.orig/targets/emulation/qemu-i386/Config.lb	2006-09-06 16:42:51.000000000 +0000
+++ LinuxBIOSv2-2401/targets/emulation/qemu-i386/Config.lb	2006-09-12 17:23:39.000000000 +0000
@@ -8,7 +8,6 @@
 option CC="gcc -m32"
 
 romimage "image" 
-	option USE_FALLBACK_IMAGE=1
 	option ROM_IMAGE_SIZE=0x10000
 	option LINUXBIOS_EXTRA_VERSION="-OpenBIOS"
 	payload /home/stepan/openbios.elf
